import { Shape } from 'lincd/lib/shapes/Shape';
import { NamedNode } from 'lincd/lib/models';
export declare class GithubRepository extends Shape {
    /**
     * indicates that instances of this shape need to have this rdf.type
     */
    static targetClass: NamedNode;
    /**
     * instances of this shape need to have exactly one value defined for the given property
     */
    get contributors(): import("lincd/lib/collections/NodeValuesSet").NodeValuesSet;
    /**
     * instances of this shape need to have exactly one value defined for the given property
     */
    get collaborators(): import("lincd/lib/collections/NodeValuesSet").NodeValuesSet;
}
