"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.github = exports.avatar = exports.name = exports.login = exports.collaborator = exports.contributor = exports.User = exports.Repository = exports._self = exports.ns = exports.loadData = void 0;
const JSONLD_1 = require("lincd-jsonld/lib/utils/JSONLD");
const NameSpace_1 = require("lincd/lib/utils/NameSpace");
const package_1 = require("../package");
const _this = __importStar(require("./github"));
var loadData = () => {
    return Promise.resolve().then(() => __importStar(require('../data/github.json'))).then((data) => JSONLD_1.JSONLD.parse(data));
};
exports.loadData = loadData;
exports.ns = (0, NameSpace_1.createNameSpace)('http://lincd.org/ont/github/');
//It's recommended to export a NamedNode for the ontology itself as well
exports._self = (0, exports.ns)('');
exports.Repository = (0, exports.ns)('Repository');
exports.User = (0, exports.ns)('User');
exports.contributor = (0, exports.ns)('contributor');
exports.collaborator = (0, exports.ns)('collaborator');
exports.login = (0, exports.ns)('login');
exports.name = (0, exports.ns)('name');
exports.avatar = (0, exports.ns)('avatar');
exports.github = {
    Repository: exports.Repository,
    login: exports.login,
    contributor: exports.contributor,
    collaborator: exports.collaborator,
    name: exports.name,
    User: exports.User,
    avatar: exports.avatar,
};
(0, package_1.linkedOntology)(_this, exports.ns, 'github', exports.loadData, '../data/github.json');
//# sourceMappingURL=github.js.map